Subject: bug#24082: 25.1; vc-dir for CVS repositories list all files as if from toplevel directory

From: [email-masked] (Jérémie Courrèges-Anglas)
Date: Fri, 14 Oct 2016 22:33:18 +0200

Hi,

Göktuğ Kayaalp <[email-masked]> writes:

> Hi, I've tried it out with a checkout of OpenBSD src/, and with the
> `recut' repo that Dmitry pointed, was unable to reproduce your issue.
> The output from ‘cvs update’ that you shared is just as expected.  I'm
> on FreeBSD myself, cvs 1.11.22.1-20080310-FreeBSD.  The NEWS file for
> CVS suggests nothing happened to ‘update’ between at least 1.11.1 and
> 1.11.4.
>
> I believe something happens when applying the patch, it should be
> applied w/ ‘patch -p 1’ in emacs source root, and the resulting md5 hash
> for the ‘vc-cvs.el’ file is this:
>
>   MD5 (lisp/vc/vc-cvs.el) = 4e0f51335e8de5957eef2d92606146f8

ritchie ~/src/emacs-master$ md5 lisp/vc/vc-cvs.el
MD5 (lisp/vc/vc-cvs.el) = 4e0f51335e8de5957eef2d92606146f8

The problem is elsewhere, I'll see if I can debug this in the next days.
In the meantime, maybe a conservative approach would be better?

-- 
jca | PGP : 0x1524E7EE / 5135 92C1 AD36 5293 2BDF  DDCC 0DFA 74AE 1524 E7EE